Patreon Creator Posts API
Fetch public Patreon post metadata from a creator by username, URL, or campaign id.
POST
/v1/patreon/creator-posts Request Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
| creator | body | string | Yes | Patreon creator username or vanity path. |
| campaign_id | body | string | No | Optional Patreon campaign id returned by patreon/search. |
| cursor | body | string | No | Cursor returned as next_cursor from the previous response. |
| limit | body | integer | No | Maximum number of results to return. |
| url | body | string | No | Optional Patreon creator URL. |
Response Structure
Async kickoff response
Polled run result response
Sync response
Declared output schema
Code Examples
Async + polling
RUN=$(curl -s -X POST "https://api.browsable.app/v1/patreon/creator-posts" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{"creator":"technologyconnections","campaign_id":"id-1","cursor":"cursor-page-1","limit":10,"url":"https://www.patreon.com/technologyconnections"}')
RUN_ID=$(echo "$RUN" | jq -r '.run_id')
while true; do
RESULT=$(curl -s -H "Authorization: Bearer YOUR_API_KEY" "https://api.browsable.app/v1/runs/$RUN_ID")
STATUS=$(echo "$RESULT" | jq -r '.run_status')
if [ "$STATUS" = "succeeded" ] || [ "$STATUS" = "failed" ]; then
echo "$RESULT"
break
fi
sleep 2
doneSync
curl -X POST "https://api.browsable.app/v1/patreon/creator-posts" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{"creator":"technologyconnections","campaign_id":"id-1","cursor":"cursor-page-1","limit":10,"url":"https://www.patreon.com/technologyconnections","_run":{"async":false}}'